{% extends 'profile/ppbd/layouts/admin/admin_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:adm_ppdb_index' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">PPDB - Dashboard</li>
        </ol>
    </nav>


    <div class="row">
        <div class="col-xl-3 col-md-3 mb-3">
            <div class="card border-bottom-primary shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="font-weight-bold text-dark  text-uppercase mb-1 text-center">SMK</div>
                            <div class="h3 font-weight-bold text-gray-800 text-center">{{ terlaris }} / {{ all }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-3 mb-3">
            <div class="card border-bottom-warning shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="font-weight-bold text-dark text-uppercase mb-1 text-center">SMA</div>
                            <div class="h3 font-weight-bold text-gray-800 text-center">{{ popular }} / {{ all }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-3 mb-3">
            <div class="card border-bottom-success shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="font-weight-bold text-dark  text-uppercase mb-1 text-center">SLB</div>
                            <div class="h3 font-weight-bold text-gray-800 text-center">{{ all }} / {{ all }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-3 mb-3">
            <div class="card border-bottom-danger shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="font-weight-bold text-dark  text-uppercase mb-1 text-center">Berita</div>
                            <div class="h3 font-weight-bold text-gray-800 text-center">{{ gallery }} / {{ gallery }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="row mb-5">
        <div class="col-sm-12 row">
            <div class="col-md-12 col-sm-12 mb-2">
                <div class="card shadow">
                    <div class="card-header m-0 font-weight-bold text-primary">Statistik Pengunjung</div>
                    <div class="card-body p-3">
                        <div>
                            <canvas id="chart-tanggal"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 mb-2">
                <div class="card shadow">
                    <div class="card-header m-0 font-weight-bold text-primary">Browser yang Digunakan Pengunjung</div>
                    <div class="card-body p-3 d-flex justify-content-center">
                        <div class="col-md-8 col-sm-12">
                            <canvas id="chart-browser"></canvas>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 mb-2">
                <div class="card shadow">
                    <div class="card-header m-0 font-weight-bold text-primary">Perangkat yang Digunakan Pengunjung</div>
                    <div class="card-body p-3 d-flex justify-content-center">
                        <div class="col-md-8 col-sm-12">
                            <canvas id="chart-device"></canvas>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    {% load static %}
    <script src="{% static 'admin/js/chart.js' %}"></script>
    <script>
        function dynamicColors() {
            var r = Math.floor(Math.random() * 255);
            var g = Math.floor(Math.random() * 255);
            var b = Math.floor(Math.random() * 255);
            return "rgba(" + r + "," + g + "," + b + ", 0.5)";
        }
        function poolColors(a) {
            var pool = [];
            for(i = 0; i < a; i++) {
                pool.push(dynamicColors());
            }
            return pool;
        }
        const chartTanggal = {{date_labels|safe}};
        const data_tanggal = {
            labels: chartTanggal,
            datasets: [
                {   
                    label: 'Statistik Pengunjung',
                    backgroundColor: poolColors(chartTanggal.length),
                    borderColor: 'rgb(32, 201, 151)',
                    data: {{date_count|safe}},
                },
            ]
        };
        const configTanggal = {
            type: 'line',
            data: data_tanggal,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartTanggal = new Chart(
            document.getElementById('chart-tanggal'),
            configTanggal
        );

        const chartBrowser = {{browser_labels|safe}};
        const data_browser = {
            labels: chartBrowser,
            datasets: [
                {   
                    label: 'Statistik Browser',
                    backgroundColor: poolColors(chartBrowser.length),
                    data: {{browser_count|safe}},
                },
            ]
        };
        const configBrowser = {
            type: 'pie',
            data: data_browser,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartBrowser = new Chart(
            document.getElementById('chart-browser'),
            configBrowser
        );

        const chartDevice = {{device_labels|safe}};
        const data_device = {
            labels: chartDevice,
            datasets: [
                {   
                    label: 'Statistik Device',
                    backgroundColor: poolColors(chartDevice.length),
                    data: {{device_count|safe}},
                },
            ]
        };
        const config_device = {
            type: 'pie',
            data: data_device,
            options: {
                indexAxis: 'x',
                responsive: true,
            }
        };
        const _chartDevice = new Chart(
            document.getElementById('chart-device'),
            config_device
        );
    </script>
{% endblock scripts_bawah %}